#keyboardInputMaster {
  position:absolute;
 /* border-top:1px solid #eeeeee;
  border-right:1px solid #6e6e6e;
  border-bottom:1px solid #6e6e6e;
  border-left:1px solid #eeeeee;
  border-radius:0.4em;*/
  -moz-border-radius:0.4em;
  -webkit-border-radius:0.4em;
  box-shadow:0px 2px 10px #444444;
  -moz-box-shadow:0px 2px 10px #444444;
  -webkit-box-shadow:0px 2px 10px #444444;
  /*opacity:0.95;
  filter:alpha(opacity=95);*/
/*  background-color:#2881a4;*/
  text-align:left;
  z-index:1000000;
  width:auto;
  height:auto;
  min-width:0;
  min-height:0;
  margin:0px;
  line-height:normal;
  -moz-user-select:none;
  cursor:default;
  
  background-image: url(../images/keyBoardBGww.jpg);
	background-repeat: no-repeat;
	background-position: center top;
	height: 211px;
	width: 520px;
	text-align: center;
	padding-top: 15px;
	*padding-top: 25px;
	padding-right: 5px;
	*padding-right: 10px;
	padding-bottom: 10px;
	padding-left: 5px;
	*padding-left: 10px;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

#keyboardInputMaster thead{
	padding-top:25px;
	*padding-top:55px;
	
	
}
#keyboardInputMaster thead tr{
	padding-top:25px;
	*padding-top:55px;
	
	
}



/*#keyboardInputMaster input{
	background-image: url(../images/keyBoardBtn_BG.gif);
	background-repeat: repeat-x;
	font-weight: bold;
	background-position: top;
	height: 24px;
	min-width: 24px;
	outline: 1px solid #ddd;
	border-top-width: 1px;
	border-top-style: solid;
	border-right-style: none;
	border-bottom-style: none;
	border-left-style: none;
	border-top-color: #fff;
	padding-top: 1px;
	padding-right: 3px;
	padding-bottom: 1px;
	padding-left: 3px;
	
	*padding-top: 1px;
	*padding-right: 0px;
	*padding-bottom: 1px;
	*padding-left: 0px;
	*outline: 1px solid #ddd;
	*border: 1px solid #f4f4f4;
	*text-align: center;	
	
}



#keyboardInputMaster input{

	*min-width: 30px;
	*min-height: 26px;
	



}*/


















#keyboardInputMaster * {
  position:static;
  color:#000000;
  background:transparent;
  font:normal 11px Arial,sans-serif;
  width:auto;
  height:auto;
  min-width:0;
  min-height:0;
  margin:0px;
  padding:0px;
  border:0px none;
  outline:0px;
  vertical-align:baseline;
  line-height:1.3em;
  -moz-box-sizing: border-box;
	box-sizing: border-box;
}
#keyboardInputMaster.keyboardInputSize1 * { font-size:9px; }
#keyboardInputMaster.keyboardInputSize3 * { font-size:13px; }
#keyboardInputMaster.keyboardInputSize4 * { font-size:16px; }
#keyboardInputMaster.keyboardInputSize5 * { font-size:20px; }

#keyboardInputMaster thead tr th,
#keyboardInputMaster thead tr td {
  padding:0.8em 0.6em 0.4em 0.6em;
  *padding:0px;
  background-color:#2881a4;
  white-space:nowrap;
}
#keyboardInputMaster thead tr th {
  text-align:left;
  width:170px;
   *width:270px;
}
#keyboardInputMaster thead tr th abbr {
  font-size:1.3em;
  font-weight:bold;
  text-decoration:none;
  margin-right:4%;
  vertical-align:middle;
}
#keyboardInputMaster thead tr th select,
#keyboardInputMaster thead tr th label input {
  margin-right:3%;
  border:1px inset #888888;
  background-color:#f6f6f6;
  vertical-align:middle;
  font-size:inherit;
}
#keyboardInputMaster thead tr th label input {
  width:1.1em;
  height:1.1em;
}
#keyboardInputMaster thead tr td {
  text-align:right;
  vertical-align:middle;
}
#keyboardInputMaster thead tr td span,
#keyboardInputMaster thead tr td strong {
  display:inline-block;
  padding:0px 0.5em;
  height:1.5em;
  line-height:1.5em;
  border-top:1px solid #e5e5e5;
  border-right:1px solid #5d5d5d;
  border-bottom:1px solid #5d5d5d;
  border-left:1px solid #e5e5e5;
  background-color:#ffffff;
  cursor:pointer;
  margin:0px 0px 0px 0.3em;
  border-radius:0.3em;
  -moz-border-radius:0.3em;
  -webkit-border-radius:0.3em;
}
#keyboardInputMaster thead tr td strong {
  font-weight:bold;
}
#keyboardInputMaster thead tr td span:hover,
#keyboardInputMaster thead tr td strong:hover {
  background-color:#2881a4;
}

#keyboardInputMaster tbody tr td {
  text-align:left;
  padding:0.2em 0.3em 0.3em 0.3em;
}
#keyboardInputMaster tbody tr td div {
  text-align:center;
  position:relative;
  height:0px;
}
#keyboardInputMaster tbody tr td div#keyboardInputLayout {
  height:auto;
  zoom:1;
}
#keyboardInputMaster tbody tr td div#keyboardInputLayout table {
  height:1.8em;
  white-space:nowrap;
  width:100%;
  border-collapse:separate;
  border-spacing:3px;
  *border-spacing:0px;
  
}
#keyboardInputMaster tbody tr td div#keyboardInputLayout table.keyboardInputCenter {
  width:auto;
  margin:0px auto;
  
}


#keyboardInputMaster tbody tr td div#keyboardInputLayout table tbody tr td {
	vertical-align:middle;
	padding:0px 0.45em;
	white-space:pre;
	font-family:'Lucida Console','Arial Unicode MS',monospace;
	border-top:1px solid #e5e5e5;
	border-right:1px solid #5d5d5d;
	border-bottom:1px solid #5d5d5d;
	border-left:1px solid #e5e5e5;
	background-color:#ffffff;
	cursor:default;
	min-width:0.75em;
	border-radius:0.2em;
	-moz-border-radius:0.2em;
	-webkit-border-radius:0.2em;
	background-image: url(../images/keyBoardBtn_BG.gif);
	background-repeat: repeat-x;
	font-weight: bold;
	background-position: top;
	height: 23px;
	*height: 20px;
	min-width: 24px;
	outline: 1px solid #ddd;
	border-top-width: 1px;
	border-top-style: solid;
	border-right-style: none;
	border-bottom-style: none;
	border-left-style: none;
	border-top-color: #fff;
	padding-top: 1px;
	padding-right: 3px;
	padding-bottom: 1px;
	padding-left: 3px;
	
	*padding-top: 1px;
	*padding-right: 0px;
	*padding-bottom: 1px;
	*padding-left: 0px;
	*outline: 1px solid #ddd;
	*border: 1px solid #f4f4f4;
	*text-align: center;	
	text-align: center;
	 -moz-box-sizing: border-box;
	box-sizing: border-box;
	
	
}
#keyboardInputMaster tbody tr td div#keyboardInputLayout table tbody tr td.last {
  /*width:99%;*/
}
#keyboardInputMaster tbody tr td div#keyboardInputLayout table tbody tr td.space {
  padding:0px 4em;
}
#keyboardInputMaster tbody tr td div#keyboardInputLayout table tbody tr td.alive {
  background-color:#ccccdd;
}
#keyboardInputMaster tbody tr td div#keyboardInputLayout table tbody tr td.target {
  background-color:#2881a4;
}
#keyboardInputMaster tbody tr td div#keyboardInputLayout table tbody tr td.hover {
  border-top:1px solid #d5d5d5;
  border-right:1px solid #555555;
  border-bottom:1px solid #555555;
  border-left:1px solid #d5d5d5;
  background-color:#2881a4;
}
#keyboardInputMaster thead tr td span.pressed,
#keyboardInputMaster tbody tr td div#keyboardInputLayout table tbody tr td.pressed,
#keyboardInputMaster tbody tr td div#keyboardInputLayout table tbody tr td.dead {
  border-top:1px solid #555555;
  border-right:1px solid #d5d5d5;
  border-bottom:1px solid #d5d5d5;
  border-left:1px solid #555555;
  background-color:cyan;
}

#keyboardInputMaster tbody tr td div#keyboardInputLayout table tbody tr td small {
  display:block;
  text-align:center;
  font-size:0.6em;
  line-height:1.1em;
}

#keyboardInputMaster tbody tr td div var {
  position:absolute;
  bottom:0px;
  right:0px;
  font-weight:bold;
  font-style:italic;
  color:#444444;
}

.keyboardInputInitiator {
  margin:0px 3px;
  vertical-align:middle;
  cursor:pointer;
}

